Deployments
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/move" \ -H "Content-Type: application/json" \ -d '{ "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b" }'{ "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "previousDeploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "membershipRevision": 0, "result": "preview", "blockers": [ "string" ], "projectionStatus": "not-required"}Retrieve all deployments.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Filter by project ID or name.
length <= 100Filter by deployment group ID or name
Filter by exact deployment name. Must be used with deploymentGroup.
length <= 100Filter by manager ID
Filter by deployment purpose
Value in
- "application"
- "encryption"
- "ai"
- "storage"
- "container-registry"
- "sandbox"
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Search deployments by name, public subdomain, or deployment group name
length <= 256Filter deployments by status
Filter deployments by effective environment
Optional fields to include: release, deploymentGroup, project
Maximum number of items to return per page
1 <= value <= 10020Cursor for pagination - omit for first page
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments?project=my-project"{ "items": [ { "id": "dep_0c29fq4a2yjb7kx3smwdgxlc", "name": "string", "status": "pending", "customerKeyUnavailable": true, "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "platform": "aws", "deploymentProtocolVersion": 1, "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "purpose": "application", "environmentInfo": { "accountId": "string", "region": "string", "platform": "aws" }, "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "desiredReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "pinnedReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "releaseChannel": "string", "importSource": "cloudformation", "setupMethod": "cloudformation", "setupMetadata": { "property1": null, "property2": null }, "setupTarget": "string", "setupFingerprint": "string", "setupFingerprintVersion": 1, "operatorScope": "string", "operatorPermission": "string", "operatorVersion": "string", "capabilities": [ { "key": "string", "state": "granted", "detail": "string" } ], "lastHeartbeatAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "retryRequested": true, "updateBlocked": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "managerId": "mgr_enxscjrqiiu2lrc672hwwuc5", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "release": { "id": "rel_WbhQgksrawSKIpEN0NAssHX9", "version": "string", "title": "string", "gitMetadata": { "commitSha": "dc36199b2234c6586ebe05ec94078a895c707e29", "commitMessage": "add method to measure Interaction to Next Paint (INP) (#36490)", "commitRef": "main", "commitDate": "2026-03-16T12:00:00Z", "dirty": true, "remoteUrl": "https://github.com/alienplatform/alien", "commitAuthorName": "John Doe", "commitAuthorEmail": "john@example.com", "commitAuthorLogin": "johndoe", "commitAuthorAvatarUrl": "https://github.com/johndoe.png", "provider": { "type": "github", "org": "string", "repo": "string" } }, "createdAt": "2019-08-24T14:15:22Z" }, "deploymentGroup": { "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01" }, "project": { "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app" } } ], "nextCursor": "string"}Create a new deployment. Deployment group tokens automatically use their group. Workspace/project tokens must provide deploymentGroupId.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for creating a new deployment
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments" \ -H "Content-Type: application/json" \ -d '{ "name": "acme-prod", "platform": "aws", "project": "string" }'{ "deployment": { "id": "dep_0c29fq4a2yjb7kx3smwdgxlc", "name": "acme-prod", "publicSubdomain": "string", "status": "pending", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "platform": "aws", "basePlatform": "aws", "region": "string", "deploymentProtocolVersion": 1, "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "membershipRevision": 0, "membershipProjectionRevision": null, "purpose": "application", "environmentInfo": { "accountId": "string", "region": "string", "platform": "aws" }, "stackSettings": { "compute": { "containers": { "property1": { "cpu": 0, "memory": "string", "volumeSizeGib": 0 }, "property2": { "cpu": 0, "memory": "string", "volumeSizeGib": 0 } }, "pools": { "property1": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" }, "property2": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" } } }, "deploymentModel": "push", "domains": { "customDomains": { "property1": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" }, "property2": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" } }, "publicEndpointTarget": { "mode": "machineAddresses" } }, "endpointAccess": "internet", "externalBindings": { "property1": { "accessKeyId": null, "bucketName": null, "endpoint": null, "forcePathStyle": true, "region": null, "secretAccessKey": null, "service": "s3", "type": "storage" }, "property2": { "accessKeyId": null, "bucketName": null, "endpoint": null, "forcePathStyle": true, "region": null, "secretAccessKey": null, "service": "s3", "type": "storage" } }, "heartbeats": "off", "kubernetes": { "cluster": { "cloud": { "accountId": "string", "clusterId": "string", "clusterName": "string", "projectId": "string", "region": "string", "resourceGroup": "string", "subscriptionId": "string" }, "namespace": "string", "ownership": "managed" }, "exposure": { "mode": "disabled" } }, "network": { "type": "use-default" }, "publicEndpoints": { "property1": { "property1": "string", "property2": "string" }, "property2": { "property1": "string", "property2": "string" } }, "quotaWarningOverrides": [ "string" ], "setupManagement": "manual", "telemetry": "off", "updates": "auto" }, "stackState": { "platform": "aws", "resourcePrefix": "string", "resources": { "property1": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" }, "property2": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" } } }, "runtimeMetadata": { "automaticSetup": true, "credentialRetry": { "startedAt": "2019-08-24T14:15:22Z", "status": "pending" }, "deployerSecrets": [ { "inputId": "string", "label": "string", "location": { "cliCommand": "string", "commands": { "checkCommand": "string", "target": "string", "unix": { "inline": "string", "prompt": "string" }, "windows": { "inline": "string", "prompt": "string" } }, "consoleUrl": "string", "deleteCommand": "string", "name": "string", "store": "aws-parameter-store", "vaultName": "string" }, "message": "string", "required": true, "status": "present", "version": "string" } ], "directSetupRevision": "string", "initialSetupAuthority": "importedHandoff", "lastSyncedEnvVarsHash": "string", "lastSyncedSecretNames": [ "string" ], "pendingPreparedReleaseId": "string", "pendingPreparedStack": { "dynamicContainerImageResources": [ "string" ], "dynamicContainerRepositories": [ "string" ], "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "generate": { "length": 0 }, "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "operations": { "custom": [ { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" }, "name": "string", "version": "string" } ], "plugins": { "property1": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } }, "property2": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } } } }, "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "persistedGateAnswers": { "property1": true, "property2": true }, "preparedStack": { "dynamicContainerImageResources": [ "string" ], "dynamicContainerRepositories": [ "string" ], "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "generate": { "length": 0 }, "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "operations": { "custom": [ { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" }, "name": "string", "version": "string" } ], "plugins": { "property1": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } }, "property2": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } } } }, "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ null ], "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "registryAccess": { "repositories": [ "string" ], "serviceTypes": [ "string" ] }, "registryAccessGranted": true, "setupScaffolding": { "property1": { "buildRoleName": "string", "egress": { "connectorArn": "string", "connectorRequest": "string", "operatorRoleName": "string", "securityGroupId": "string" }, "imageArn": "string", "type": "awsSandbox" }, "property2": { "buildRoleName": "string", "egress": { "connectorArn": "string", "connectorRequest": "string", "operatorRoleName": "string", "securityGroupId": "string" }, "imageArn": "string", "type": "awsSandbox" } }, "setupUpdateAuthorization": { "baselineFrozenDigest": "string", "nonce": "string", "releaseId": "string", "setupFingerprint": "string", "setupFingerprintVersion": 0, "setupTarget": "string", "targetFrozenDigest": "string" } }, "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "desiredReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "pinnedReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "releaseChannel": "string", "importSource": "cloudformation", "setupMethod": "cloudformation", "setupMetadata": { "property1": null, "property2": null }, "setupTarget": "string", "setupFingerprint": "string", "setupFingerprintVersion": 1, "operatorScope": "string", "operatorPermission": "string", "operatorVersion": "string", "capabilities": [ { "key": "string", "state": "granted", "detail": "string" } ], "observedOperationsBundleHash": "string", "observedOperations": [ { "plugin": "string", "pluginVersion": "string", "name": "string" } ], "retryRequested": true, "lastHeartbeatAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "updateState": { "active": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "next": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "latest": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "managerId": "mgr_enxscjrqiiu2lrc672hwwuc5", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "customerKeyUnavailable": true }, "deploymentModel": "push", "token": "string"}Get aggregated deployment statistics. Returns total count and breakdown by status.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Filter by project ID or name.
length <= 100Filter by deployment group ID or name
Filter by manager ID
Filter by deployment purpose
Value in
- "application"
- "encryption"
- "ai"
- "storage"
- "container-registry"
- "sandbox"
Filter deployments by effective environment
Filter deployments by status
Search deployments by name or deployment group name
length <= 256Response Body
application/json
application/json
curl -X GET "https://example.com/v1/deployments/stats?project=my-project"{ "total": 0, "byStatus": { "property1": 0, "property2": 0 }, "byPlatform": { "property1": 0, "property2": 0 }, "byCurrentRelease": { "property1": 0, "property2": 0 }, "byPinnedRelease": { "property1": 0, "property2": 0 }, "byOrigin": { "framework": 0, "remoteOperator": 0 }}Retrieve a deployment by ID.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Optional fields to include: release, deploymentGroup, project
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc"{ "id": "dep_0c29fq4a2yjb7kx3smwdgxlc", "name": "acme-prod", "publicSubdomain": "string", "status": "pending", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "platform": "aws", "basePlatform": "aws", "region": "string", "deploymentProtocolVersion": 1, "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "membershipRevision": 0, "membershipProjectionRevision": null, "purpose": "application", "environmentInfo": { "accountId": "string", "region": "string", "platform": "aws" }, "stackSettings": { "compute": { "containers": { "property1": { "cpu": 0, "memory": "string", "volumeSizeGib": 0 }, "property2": { "cpu": 0, "memory": "string", "volumeSizeGib": 0 } }, "pools": { "property1": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" }, "property2": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" } } }, "deploymentModel": "push", "domains": { "customDomains": { "property1": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" }, "property2": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" } }, "publicEndpointTarget": { "mode": "machineAddresses" } }, "endpointAccess": "internet", "externalBindings": { "property1": { "accessKeyId": null, "bucketName": null, "endpoint": null, "forcePathStyle": true, "region": null, "secretAccessKey": null, "service": "s3", "type": "storage" }, "property2": { "accessKeyId": null, "bucketName": null, "endpoint": null, "forcePathStyle": true, "region": null, "secretAccessKey": null, "service": "s3", "type": "storage" } }, "heartbeats": "off", "kubernetes": { "cluster": { "cloud": { "accountId": "string", "clusterId": "string", "clusterName": "string", "projectId": "string", "region": "string", "resourceGroup": "string", "subscriptionId": "string" }, "namespace": "string", "ownership": "managed" }, "exposure": { "mode": "disabled" } }, "network": { "type": "use-default" }, "publicEndpoints": { "property1": { "property1": "string", "property2": "string" }, "property2": { "property1": "string", "property2": "string" } }, "quotaWarningOverrides": [ "string" ], "setupManagement": "manual", "telemetry": "off", "updates": "auto" }, "stackState": { "platform": "aws", "resourcePrefix": "string", "resources": { "property1": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" }, "property2": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" } } }, "runtimeMetadata": { "automaticSetup": true, "credentialRetry": { "startedAt": "2019-08-24T14:15:22Z", "status": "pending" }, "deployerSecrets": [ { "inputId": "string", "label": "string", "location": { "cliCommand": "string", "commands": { "checkCommand": "string", "target": "string", "unix": { "inline": "string", "prompt": "string" }, "windows": { "inline": "string", "prompt": "string" } }, "consoleUrl": "string", "deleteCommand": "string", "name": "string", "store": "aws-parameter-store", "vaultName": "string" }, "message": "string", "required": true, "status": "present", "version": "string" } ], "directSetupRevision": "string", "initialSetupAuthority": "importedHandoff", "lastSyncedEnvVarsHash": "string", "lastSyncedSecretNames": [ "string" ], "pendingPreparedReleaseId": "string", "pendingPreparedStack": { "dynamicContainerImageResources": [ "string" ], "dynamicContainerRepositories": [ "string" ], "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "generate": { "length": 0 }, "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "operations": { "custom": [ { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" }, "name": "string", "version": "string" } ], "plugins": { "property1": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } }, "property2": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } } } }, "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "persistedGateAnswers": { "property1": true, "property2": true }, "preparedStack": { "dynamicContainerImageResources": [ "string" ], "dynamicContainerRepositories": [ "string" ], "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "generate": { "length": 0 }, "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "operations": { "custom": [ { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" }, "name": "string", "version": "string" } ], "plugins": { "property1": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } }, "property2": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } } } }, "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "registryAccess": { "repositories": [ "string" ], "serviceTypes": [ "string" ] }, "registryAccessGranted": true, "setupScaffolding": { "property1": { "buildRoleName": "string", "egress": { "connectorArn": "string", "connectorRequest": "string", "operatorRoleName": "string", "securityGroupId": "string" }, "imageArn": "string", "type": "awsSandbox" }, "property2": { "buildRoleName": "string", "egress": { "connectorArn": "string", "connectorRequest": "string", "operatorRoleName": "string", "securityGroupId": "string" }, "imageArn": "string", "type": "awsSandbox" } }, "setupUpdateAuthorization": { "baselineFrozenDigest": "string", "nonce": "string", "releaseId": "string", "setupFingerprint": "string", "setupFingerprintVersion": 0, "setupTarget": "string", "targetFrozenDigest": "string" } }, "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "desiredReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "pinnedReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "releaseChannel": "string", "importSource": "cloudformation", "setupMethod": "cloudformation", "setupMetadata": { "property1": null, "property2": null }, "setupTarget": "string", "setupFingerprint": "string", "setupFingerprintVersion": 1, "operatorScope": "string", "operatorPermission": "string", "operatorVersion": "string", "capabilities": [ { "key": "string", "state": "granted", "detail": "string" } ], "observedOperationsBundleHash": "string", "observedOperations": [ { "plugin": "string", "pluginVersion": "string", "name": "string" } ], "retryRequested": true, "lastHeartbeatAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "updateState": { "active": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "next": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "latest": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "managerId": "mgr_enxscjrqiiu2lrc672hwwuc5", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "customerKeyUnavailable": true, "resourceObservedAt": "2019-08-24T14:15:22Z", "release": { "id": "rel_WbhQgksrawSKIpEN0NAssHX9", "version": "string", "title": "string", "gitMetadata": { "commitSha": "dc36199b2234c6586ebe05ec94078a895c707e29", "commitMessage": "add method to measure Interaction to Next Paint (INP) (#36490)", "commitRef": "main", "commitDate": "2026-03-16T12:00:00Z", "dirty": true, "remoteUrl": "https://github.com/alienplatform/alien", "commitAuthorName": "John Doe", "commitAuthorEmail": "john@example.com", "commitAuthorLogin": "johndoe", "commitAuthorAvatarUrl": "https://github.com/johndoe.png", "provider": { "type": "github", "org": "string", "repo": "string" } }, "createdAt": "2019-08-24T14:15:22Z" }, "desiredRelease": { "id": "rel_WbhQgksrawSKIpEN0NAssHX9", "version": "string", "title": "string", "gitMetadata": { "commitSha": "dc36199b2234c6586ebe05ec94078a895c707e29", "commitMessage": "add method to measure Interaction to Next Paint (INP) (#36490)", "commitRef": "main", "commitDate": "2026-03-16T12:00:00Z", "dirty": true, "remoteUrl": "https://github.com/alienplatform/alien", "commitAuthorName": "John Doe", "commitAuthorEmail": "john@example.com", "commitAuthorLogin": "johndoe", "commitAuthorAvatarUrl": "https://github.com/johndoe.png", "provider": { "type": "github", "org": "string", "repo": "string" } }, "createdAt": "2019-08-24T14:15:22Z" }, "deploymentGroup": { "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01" }, "project": { "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app" }, "operatorSync": { "id": "dosy_uxveigz3biyrosqycaqubbr", "status": "preparing", "stuckReason": "download-failed", "statusMessage": "string", "targetBundleHash": "string", "observedBundleHash": "string", "missingOperations": [ "string" ], "plugins": [ { "name": "string", "version": "string", "source": "builtin", "state": "running", "previousVersion": "string" } ], "targetSetAt": "2019-08-24T14:15:22Z", "observedAt": "2019-08-24T14:15:22Z" }}Retrieve a deployment update operation by its durable operation ID.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Unique identifier for the deployment update operation.
duop_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/update-operations/duop_0vtxpb1sw4sbcdwg2xo37q6"{ "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z"}Get deployment connection information including command endpoint and resource URLs.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/info"{ "arc": { "url": "http://example.com", "deploymentId": "string" }, "resources": { "property1": { "type": "string", "publicEndpoints": { "property1": { "url": "http://example.com", "protocol": "http", "host": "string", "port": 1, "wildcardHost": "string" }, "property2": { "url": "http://example.com", "protocol": "http", "host": "string", "port": 1, "wildcardHost": "string" } } }, "property2": { "type": "string", "publicEndpoints": { "property1": { "url": "http://example.com", "protocol": "http", "host": "string", "port": 1, "wildcardHost": "string" }, "property2": { "url": "http://example.com", "protocol": "http", "host": "string", "port": 1, "wildcardHost": "string" } } } }, "status": "pending", "platform": "string"}Import a deployment from resolved setup infrastructure such as CloudFormation, Terraform, or Helm.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for importing a deployment from resolved setup infrastructure
Request schema for importing a deployment from resolved setup infrastructure
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments/import" \ -H "Content-Type: application/json" \ -d '{ "source": { "deploymentName": "string", "resourcePrefix": "string", "platform": "aws", "region": "string", "setupTarget": "string", "setupImportFormatVersion": 1, "setupFingerprint": "string", "setupFingerprintVersion": 0, "stackSettings": {}, "resources": [ { "id": "string", "type": "string", "importData": { "property1": null, "property2": null } } ] } }'{ "id": "dep_0c29fq4a2yjb7kx3smwdgxlc", "name": "acme-prod", "publicSubdomain": "string", "status": "pending", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "platform": "aws", "basePlatform": "aws", "region": "string", "deploymentProtocolVersion": 1, "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "membershipRevision": 0, "membershipProjectionRevision": null, "purpose": "application", "environmentInfo": { "accountId": "string", "region": "string", "platform": "aws" }, "stackSettings": { "compute": { "containers": { "property1": { "cpu": 0, "memory": "string", "volumeSizeGib": 0 }, "property2": { "cpu": 0, "memory": "string", "volumeSizeGib": 0 } }, "pools": { "property1": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" }, "property2": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" } } }, "deploymentModel": "push", "domains": { "customDomains": { "property1": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" }, "property2": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" } }, "publicEndpointTarget": { "mode": "machineAddresses" } }, "endpointAccess": "internet", "externalBindings": { "property1": { "accessKeyId": null, "bucketName": null, "endpoint": null, "forcePathStyle": true, "region": null, "secretAccessKey": null, "service": "s3", "type": "storage" }, "property2": { "accessKeyId": null, "bucketName": null, "endpoint": null, "forcePathStyle": true, "region": null, "secretAccessKey": null, "service": "s3", "type": "storage" } }, "heartbeats": "off", "kubernetes": { "cluster": { "cloud": { "accountId": "string", "clusterId": "string", "clusterName": "string", "projectId": "string", "region": "string", "resourceGroup": "string", "subscriptionId": "string" }, "namespace": "string", "ownership": "managed" }, "exposure": { "mode": "disabled" } }, "network": { "type": "use-default" }, "publicEndpoints": { "property1": { "property1": "string", "property2": "string" }, "property2": { "property1": "string", "property2": "string" } }, "quotaWarningOverrides": [ "string" ], "setupManagement": "manual", "telemetry": "off", "updates": "auto" }, "stackState": { "platform": "aws", "resourcePrefix": "string", "resources": { "property1": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" }, "property2": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" } } }, "runtimeMetadata": { "automaticSetup": true, "credentialRetry": { "startedAt": "2019-08-24T14:15:22Z", "status": "pending" }, "deployerSecrets": [ { "inputId": "string", "label": "string", "location": { "cliCommand": "string", "commands": { "checkCommand": "string", "target": "string", "unix": { "inline": "string", "prompt": "string" }, "windows": { "inline": "string", "prompt": "string" } }, "consoleUrl": "string", "deleteCommand": "string", "name": "string", "store": "aws-parameter-store", "vaultName": "string" }, "message": "string", "required": true, "status": "present", "version": "string" } ], "directSetupRevision": "string", "initialSetupAuthority": "importedHandoff", "lastSyncedEnvVarsHash": "string", "lastSyncedSecretNames": [ "string" ], "pendingPreparedReleaseId": "string", "pendingPreparedStack": { "dynamicContainerImageResources": [ "string" ], "dynamicContainerRepositories": [ "string" ], "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "generate": { "length": 0 }, "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "operations": { "custom": [ { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" }, "name": "string", "version": "string" } ], "plugins": { "property1": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } }, "property2": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } } } }, "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "persistedGateAnswers": { "property1": true, "property2": true }, "preparedStack": { "dynamicContainerImageResources": [ "string" ], "dynamicContainerRepositories": [ "string" ], "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "generate": { "length": 0 }, "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "operations": { "custom": [ { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" }, "name": "string", "version": "string" } ], "plugins": { "property1": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } }, "property2": { "approval": { "property1": "auto", "property2": "auto" }, "settings": { "property1": "string", "property2": "string" } } } }, "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "notResources": [ "string" ], "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "registryAccess": { "repositories": [ "string" ], "serviceTypes": [ "string" ] }, "registryAccessGranted": true, "setupScaffolding": { "property1": { "buildRoleName": "string", "egress": { "connectorArn": "string", "connectorRequest": "string", "operatorRoleName": "string", "securityGroupId": "string" }, "imageArn": "string", "type": "awsSandbox" }, "property2": { "buildRoleName": "string", "egress": { "connectorArn": "string", "connectorRequest": "string", "operatorRoleName": "string", "securityGroupId": "string" }, "imageArn": "string", "type": "awsSandbox" } }, "setupUpdateAuthorization": { "baselineFrozenDigest": "string", "nonce": "string", "releaseId": "string", "setupFingerprint": "string", "setupFingerprintVersion": 0, "setupTarget": "string", "targetFrozenDigest": "string" } }, "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "desiredReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "pinnedReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "releaseChannel": "string", "importSource": "cloudformation", "setupMethod": "cloudformation", "setupMetadata": { "property1": null, "property2": null }, "setupTarget": "string", "setupFingerprint": "string", "setupFingerprintVersion": 1, "operatorScope": "string", "operatorPermission": "string", "operatorVersion": "string", "capabilities": [ { "key": "string", "state": "granted", "detail": "string" } ], "observedOperationsBundleHash": "string", "observedOperations": [ { "plugin": "string", "pluginVersion": "string", "name": "string" } ], "retryRequested": true, "lastHeartbeatAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "updateState": { "active": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "next": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "latest": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "blocked", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "blocker": { "kind": "input", "message": "string", "inputId": "string" }, "actionRequired": "string", "cause": { "kind": "promotion", "actor": { "email": "string", "id": "string", "kind": "user", "via": "mcp" }, "at": "2019-08-24T14:15:22Z", "channel": "string", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9" }, "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "managerId": "mgr_enxscjrqiiu2lrc672hwwuc5", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "customerKeyUnavailable": true}Start a durable setup registration operation for CloudFormation, Terraform, or Helm.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments/setup-registration-operations" \ -H "Content-Type: application/json" \ -d '{ "action": "create", "sourceKind": "cloudformation" }'{ "id": "setupop_y41lqnfosxuwqkzmiax7", "action": "create", "sourceKind": "cloudformation", "status": "pending", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "physicalResourceId": "string", "result": { "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "deploymentToken": "string", "helmValues": "string" }, "error": { "message": "string", "retryable": true }}Get setup registration operation status.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the setup registration operation.
setupop_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/setup-registration-operations/setupop_y41lqnfosxuwqkzmiax7"{ "id": "setupop_y41lqnfosxuwqkzmiax7", "action": "create", "sourceKind": "cloudformation", "status": "pending", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "physicalResourceId": "string", "result": { "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "deploymentToken": "string", "helmValues": "string" }, "error": { "message": "string", "retryable": true }}Delete, detach, or forget a deployment by ID.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
[...]
